aboutsummaryrefslogtreecommitdiffstats
path: root/x11/libice
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-17 09:35:37 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-17 09:35:37 +0000
commit7689a5506053f0f0892b004126431752c86444da (patch)
tree9b2d9f44e589cadb17305d6501ff06b2e3ed1372 /x11/libice
parent32b2f046ae96d9305696f7eb3877e07b17cd885b (diff)
downloadaports-7689a5506053f0f0892b004126431752c86444da.tar.gz
aports-7689a5506053f0f0892b004126431752c86444da.tar.bz2
aports-7689a5506053f0f0892b004126431752c86444da.tar.xz
x11: changed package names to lowercase
Diffstat (limited to 'x11/libice')
-rw-r--r--x11/libice/APKBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/x11/libice/APKBUILD b/x11/libice/APKBUILD
new file mode 100644
index 0000000000..30099a5fa9
--- /dev/null
+++ b/x11/libice/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libice
+pkgver=1.0.5
+pkgrel=0
+pkgdesc="X11 Inter-Client Exchange library"
+url="http://xorg.freedesktop.org/"
+license="custom"
+depends="uclibc"
+makedepends="pkgconfig xproto xtrans"
+subpackages="$pkgname-dev"
+source="http://xorg.freedesktop.org/releases/individual/lib/libICE-$pkgver.tar.bz2"
+
+depends_dev="xproto"
+build () {
+ cd "$srcdir"/libICE-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="ca1f9563a7cc5e8017de7221bdb2ade3 libICE-1.0.5.tar.bz2"